Module | Ramaze::Helper::Identity
In: | lib/ramaze/helper/identity.rb

### Methods

openid_begin openid_complete openid_login_form

### Public Instance methods

openid_begin()

We land here from the openid_login_form and if we can find a matching OpenID server we redirect the user to it, the browser will return to openid_complete when the authentication is complete.

openid_complete()

After having authenticated at the OpenID server browsers are redirected back here and on success we set the session[:openid][:identity] and a little default flash message. Then we redirect to wherever session[:openid][:entry] points us to, which was set on openid_begin to the referrer

TODO:

      - maybe using StackHelper, but this is a really minimal overlap?

openid_login_form(caption="login")

Simple form for use or overwriting. Has to provide the same functionality when overwritten or directly embedded into a page.

[Validate]